
package org.mule.modules.config.spring;

import org.springframework.beans.factory.xml.NamespaceHandlerSupport;


/**
 * Registers bean definitions parsers for handling elements in <code>http://www.mulesoft.org/schema/mule/as2</code>.
 * 
 */
public class AS2ConnectorNamespaceHandler
    extends NamespaceHandlerSupport
{


    /**
     * Invoked by the {@link DefaultBeanDefinitionDocumentReader} after construction but before any custom elements are parsed. 
     * @see NamespaceHandlerSupport#registerBeanDefinitionParser(String, BeanDefinitionParser)
     * 
     */
    public void init() {
        registerBeanDefinitionParser("config", new AS2ConnectorConfigDefinitionParser());
        registerBeanDefinitionParser("basic-send", new BasicSendDefinitionParser());
        registerBeanDefinitionParser("send-with-mdn", new SendWithMdnDefinitionParser());
        registerBeanDefinitionParser("send-with-mdn-async", new SendWithMdnAsyncDefinitionParser());
    }

}
